<div ng-controller="EmpacadoraCtrl">
    <div class="page page-tables-bootstrap">
        <div class="panel panel-default">
            <div class="panel-heading">
            	<h3 class="panel-title"><i class="fa fa-users"></i> Gestión de Empacadoras</h3>
            </div>
          	<div class="panel-body">
	          	<div class="row">
		          	<div class="col-md-4">
		          		<input type="text" class="form-control"  ng-model="buscar" placeholder="Buscar Empacadora">
		          	</div>
		          	<div class="col-md-4">
		          		
		          	</div>
		          	<div class="col-md-4">
		          		<button class="btn btn-success btn-block" data-options="splash-2 splash-ef-14" ng-click="clear();openModalSave($event)"><i class="fa fa-plus"></i> Agregar Empacadora</button>
		          	</div>
	          	</div>
	            <hr>
	            <div class="row" ng-if="flag">
		          	<div class="col-md-12">
		          		<ng-include src="'views/home/others/loading.html'">
						</ng-include>
		          	</div>
	          	</div>
	          	<div class="row" ng-if="!flag">
					<div class="col-md-12">
						<div class="table-responsive">
							<table class="table table-hover">
								<thead>
									<tr>
										<th>Empacadora</th>
										<th>Ubicación</th>
										<th class="text-center">Opciones</th>
									</tr>
								</thead>
								<tbody>
									<tr dir-paginate="emp in empacadoras |filter: buscar | itemsPerPage: 7" pagination-id="emp.id">
										<td>{{emp.nombre}}</td>
										<td>{{emp.ubicacion}}</td>
										<td class="text-center">
											<button class="btn btn-info btn-xs" data-options="splash-2 splash-ef-14" ng-click="load(emp);openModalSave($event)"><span class="fa fa-edit"></span> Editar</button>
											<button class="btn btn-danger btn-xs"  data-options="splash-2 splash-ef-14" ng-click="load(emp);openModalDelete($event)"><span class="fa fa-trash"></span> Elminar</button>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
						<div class="text-center">
							<dir-pagination-controls pagination-id="emp.id"></dir-pagination-controls>
						</div>
					</div>
			    </div>
			</div>
		</div>
	</div>
	<script type="text/ng-template" id="modal_empacadora.html">
        <!-- <div class="modal-header">
            <h3 class="modal-title custom-font">I'm a modal!</h3>
        </div> -->
        <div class="modal-body">
            <legend class="text-center"><i class="fa fa-user"></i> <span ng-if="obj.crud">Nuevo</span><span ng-if="!obj.crud">Actualizar</span> Empacadora</legend>
            
            <form ng-submit="createEdit()">
            	<div class="row">
	               <div class="form-group">
	                   <div class="col-md-12">
	                        <label for="">Nombre</label>
							<input type="text" class="form-control" id="nombre" ng-model="obj.nombre" placeholder="Nombre"> 
	                   </div>
	               </div>

	               <div class="form-group">
	               		<div class="col-md-12">
							<label for="">Ubicación</label>
							<input type="text" class="form-control" id="ubicacion" ng-model="obj.ubicacion" placeholder="Ubicación">
						</div>
	               </div>
	            </div>

               <div class="mt-20">
                    <div class="text-center">
		                <button type="submit" class="btn btn-primary"><i class="fa fa-save"></i> <span ng-if="obj.crud">Guardar</span><span ng-if="!obj.crud">Actualizar</span></button>
		                <button type="button" class="btn btn-default" ng-click="cancel()"><i class="fa fa-close"></i> Cancelar</button>
		            </div>
               </div>                   
            </form>
        </div>
    </script>
    <script type="text/ng-template" id="modal_empacadora_delete.html">
        <div class="modal-header">
    		<div class="text-center">
                <h4 class="modal-title custom-font">¿Desea eliminar esta Empacadora?</h4>
            </div>
        </div>
        <div class="modal-body">
        	<div class="text-center">
                <h3>{{obj.nombre}}</h3>
                <button type="submit" class="btn btn-danger btn-lg" ng-click="delete()" data-dismiss="modal"><span class="fa fa-check"> Eliminar</button>
                <button type="button" class="btn btn-default btn-lg" ng-click="cancel()"><span class="fa fa-close"> Cancelar</button>
            </div>
        </div>
    </script>
</div>